tvbrowser.core.search.booleansearch

## Class OrMatcher

- java.lang.Object
- - tvbrowser.core.search.booleansearch.OperandMatcher
  - - tvbrowser.core.search.booleansearch.OrMatcher

- All Implemented Interfaces:
    IMatcher

       class OrMatcher
      extends OperandMatcher

- - ### Field Summary

    - ### Fields inherited from class tvbrowser.core.search.booleansearch.OperandMatcher

      `subMatcher`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OrMatcher(IMatcher left, IMatcher right)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `getOperandString()`
    `boolean` | `matches(java.lang.String searchTerm)` Testet einen String.
    `IMatcher` | `optimize()` Initialisiert und optimiert den IMatcher.

    - ### Methods inherited from class tvbrowser.core.search.booleansearch.OperandMatcher

      `toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OrMatcher

          public OrMatcher(IMatcher left,
                   IMatcher right)

  - ### Method Detail

    - #### matches

          public boolean matches(java.lang.String searchTerm)

      Description copied from interface: `IMatcher`
      Testet einen String. Gibt true zurück wenn die Bedinung erfüllt ist

    - #### optimize

          public IMatcher optimize()

      Description copied from interface: `IMatcher`
      Initialisiert und optimiert den IMatcher. Da der IMatcher u.U. ausgetauscht werden muss gibt die Methode einen (neuen) IMatcher zurück. Dieser ist zu verwenden.
      Specified by:
        `optimize` in interface `IMatcher`
      Overrides:
        `optimize` in class `OperandMatcher`

    - #### getOperandString

          protected java.lang.String getOperandString()

      Specified by:
        `getOperandString` in class `OperandMatcher`

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)